Upgrade Issue


(cinterpro) #1

Hello Everyone…

We have running now for quite some time the latest stable build, prior to the latest version 0.5.3. And i can not upgrade correctly.
What i did:

  1. Downloaded the file -> latest.zip
  2. decompressed it on my pc
  3. uploaded (overwriting the exsisting files)
  4. and i got all Zend Warnings
    When i corrected the writing permissions in the /tmp folder i still get the message
    with the announcement to upgrade (spanish version)
    [size=10pt]Piwik 0.5.3 está disponible.
    ¡Por favor, actualice ahora! (ver cambios).
    [/size]

Can anybody help me out here, plz? style_emoticons/<#EMO_DIR#>/dry.gif
Did i do something wrong? style_emoticons/<#EMO_DIR#>/sad.gif
Many thanks,
Paco


(Piwik_user) #2

Hello Paco,

I did the update today and it works all well!

What I did:

  1. I made a backup of my piwik folder and database as well.
  2. Put the file latest.zip directly on my webserver via
    wget piwik.org/latest.zip
  3. Decompressed the file in the empty piwik folder (no overwrite!!!) and copied the file config.ini.php from my old installation into the subfolder config

That’s ist!

Regards,

Carsten


(Matthieu Aubry) #3

cinterpro, if you have Zend errors, it most likely means that some fiels havent uploaded properly. The instructions can be found at: http://piwik.org/docs/update/#manual


(cinterpro) #4

[quote=Piwik_user @ Dec 16 2009, 05:06 PM]Hello Paco,

I did the update today and it works all well!

What I did:

  1. I made a backup of my piwik folder and database as well.
  2. Put the file latest.zip directly on my webserver via
    wget piwik.org/latest.zip
  3. Decompressed the file in the empty piwik folder (no overwrite!!!) and copied the file config.ini.php from my old installation into the subfolder config

That’s ist!

Regards,

Carsten[/quote]
Hello Carsten…
Did now the same thing i created a folder called /lastest/ uncompressed the files and copied the config.ini.php file to the config folder…
But guess what… i still see the image that i have to upgrade :frowning:
orignal version: h t t p://estadisticas.computerinterpro.es/
Lates version in: h t t p://estadisticas.computerinterpro.es/latest/

hmmm… strange tough…
Thanks for your instructions.
regards,
Paco


(cinterpro) #5

Dear matthieu.
Thanks for the tip… but aftwards i uploaded the file latest.zip in binaymode to
my server and unzipped it…
But as you can see from the answer i gave to Carsten (Posted Yesterday, 05:06 PM)
i still get the image informing me that i should upgrade…
any ideas. Did i maybe do someting wrong in the steps mentioned?
Hoping to hear from you again.
regards from a cold madrid.
paco


(Matthieu Aubry) #6

Maybe it is cached in your browser or your proxy, try the direct link instead to 0.5.3: http://builds.piwik.org/piwik-0.5.3.zip


(cinterpro) #7

Dear Mattieu.
thanks for the excellent TIP. seems i am allmost there…never the less
it now says "You can now enable the new MultiSites plugin in the Plugins screen in the Piwik admin!"
h t t p://estadisticas.computerinterpro.es/new/index.php
Any ideas on this?
Many thanks for the help received…
Paco


(Matthieu Aubry) #8

This is a bug in 0.5.3, just delete the file core/Updates/0.5.3.php and it should work fine (this bug will be fixed in 0.5.4)


(cinterpro) #9

Hello Matthieu…

Many thanks ! ! !it works now smoothly… excellent…
thanks again.
regards,
Paco